---
title: Delete Sink
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Pipelines](https://developers.cloudflare.com/api/python/resources/pipelines)

[Sinks](https://developers.cloudflare.com/api/python/resources/pipelines/subresources/sinks)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete Sink

pipelines.sinks.delete(strsink\_id, SinkDeleteParams\*\*kwargs) -> object

DELETE/accounts/{account\_id}/pipelines/v1/sinks/{sink\_id}

Delete Sink in Account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

account\_id: str

Specifies the public ID of the account.

[Link to this property](<#(resource)%20pipelines.sinks%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

sink\_id: str

Specifies the publid ID of the sink.

maxLength32

minLength32

[Link to this property](<#(resource)%20pipelines.sinks%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20sink_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

object

[Link to this property](<#(resource)%20pipelines.sinks%20%3E%20(method)%20delete%20%3E%20(network%20schema)%20%3E%20(property)%20result>)

### Delete Sink

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
sink = client.pipelines.sinks.delete(
    sink_id="0223105f4ecef8ad9ca31a8372d0c353",
    account_id="0123105f4ecef8ad9ca31a8372d0c353",
)
print(sink)
```

200 example

```
{
  "result": {},
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {},
  "success": true
}
```